# Command-line Argument Parser &middot; [![GitHub license](https://img.shields.io/badge/license-BSD%203%20Clause-blue.svg)](https://github.com/danitseitlin/cli-argument-parser/blob/master/LICENSE) [![npm version](http://img.shields.io/npm/v/cli-argument-parser.svg?style=flat)](https://npmjs.org/package/cli-argument-parser "View this project on npm") ![CI](https://github.com/danitseitlin/cli-argument-parser/workflows/CI/badge.svg)
## About
This NodeJS module is built for easier working with command line arguments.
## Quick Start

### Install the module
Run the following command in your terminal:

`npm i cli-argument-parser`

## How to use
### Basic usage
```
import { cliArguments } from 'cli-argument-parser';
const arg1 = cliArguments.arg1;
const arg2 = cliArguments.arg2;
```
Run a cli with `arg1` and `arg2`
like: `my-command --arg1=2 --arg2=1`
And the values will be inside the variables we declared above.

### Configuration file usage
Create a file in the root of your project called `cli.config.json`
and paste the following into it:
```
{
    prefix: '--',
    equalitySign: '='
}
```
The `prefix` is a value which the argument must start with, `--` is the default one. (ex: `--arg=5`) <br>
The `equalitySign` is a value which the argument must start with, `=` is the default one. (ex: `--arg=5`) <br>
This gives you the abillity to configurate your cli arguments as you wish.
